Subject: Re: bug#77039: 31.0.50; Flickering on macOS

From: Gerd Möllmann <[email-masked]>
Date: Sun, 23 Mar 2025 10:32:29 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
>> Date: Sun, 23 Mar 2025 05:56:41 +0100
>> 
>> > Repro from emacs -Q:
>> >
>> > (defun foo ()
>> > (Interactive)
>> > (global-display-line-numbers-mode)
>> > (term "/usr/bin/yes")
>> > (switch-to-buffer "*scratch*"))
>> >
>> > Aaron
>> 
>> Thanks! I think I see now what's going on.
>> 
>> redisplay_internal has this (line numbers may differ):
>> 
>> xdisp.c:
>> 17368       && (NILP (Vdisplay_line_numbers)
>> 17369           || EQ (Vdisplay_line_numbers, Qvisual))
>> 
>> This means that certain redisplay optimizations that make redisplay
>> particularly "cheap" are not tried, depending on line number display.
>
> See bug#54091.

Thanks, but it's still an enigma for me :-). I've never used
hs-minor-mode and don't know how it is implemented. Is it the old
selective display, and something the OP did that changed it that way?